<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class AddForeignKeysToAbRecordIdTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::table('ab_record_id', function(Blueprint $table)
		{
			$table->foreign('module_id', 'fk_rid_mod')->references('id')->on('ab_module')->onUpdate('RESTRICT')->onDelete('RESTRICT');
			$table->foreign('site_id', 'fk_rid_set')->references('id')->on('ab_setup')->onUpdate('NO ACTION')->onDelete('NO ACTION');
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::table('ab_record_id', function(Blueprint $table)
		{
			$table->dropForeign('fk_rid_mod');
			$table->dropForeign('fk_rid_set');
		});
	}

}
